For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETRetrieves all project templates.
      • POSTCreates a new project template.
      • GETRetrieves a specific project template.
      • PUTUpdates an existing project template.
      • DELDeletes a project template.
      • GETRetrieves all project statuses of a project template.
      • POSTAdds a project status to a project template.
      • GETRetrieves the task bundle associated with a project template.
      • GETReturns all task statuses of the project template with the specified id.
      • POSTCreates a new task status for the specified project template.
      • GETReturns the task status of the project template with the specified id.
      • PUTUpdates a task status for the specified project template.
      • DELDeletes the task status of the project template with the specified id.
      • POSTUpdates the order of a project status within a project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Templates

Deletes the task status of the project template with the specified id.

DELETE
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/taskstatuses/:taskStatusId
DELETE
/api/v1/projecttemplates/:projectTemplateId/taskstatuses/:taskStatusId
$curl -X DELETE https://api.awork.com/api/v1/projecttemplates/projectTemplateId/taskstatuses/taskStatusId \
> -H "Authorization: Bearer <token>"
The last status of type 'todo' or 'done' cannot be deleted. <Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Updates the order of a project status within a project template.

Next
Built with

The last status of type ‘todo’ or ‘done’ cannot be deleted.

Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.
taskStatusIdstringRequiredformat: "uuid"
The id of the task status.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error